MKPOP3DCERT(8)

NAME
mkpop3dcert - create a test SSL certificate for POP3 over SSL

SYNOPSIS
/usr/local/sbin/mkpop3dcert

DESCRIPTION

POP3 over SSL requires a valid, signed, X.509 certificate. The default location for the certificate file is /usr/local/etc/courier/pop3d.pem. mkpop3dcert generates a self-signed X.509 certificate, mainly for testing. For production use the X.509 certificate must be signed by a recognized certificate authority, in order for mail clients to accept the certificate.

/usr/local/etc/courier/pop3d.pem must be owned by the courier user and have no group or world permissions. The mkpop3dcert command will enforce this. To prevent an unfortunate accident, mkpop3dcert will not work if /usr/local/etc/courier/pop3d.pem already exists.

mkpop3dcert requires OpenSSL to be installed.

FILES

/usr/local/etc/courier/pop3d.pem
    X.509 certificate.

/usr/local/etc/courier/pop3d.cnf
    Parameters used by OpenSSL to create the X.509 certificate.

SEE ALSO

courier(8)